A deallocation request deletes the pin-mapping between users and the assigned Virtual Number. It is essential to deallocate an existing allocation in order to free-up a pin which is no longer in use. So that the same pin can be reused for future transactions.
https://leadassist.exotel.in/v1/tenants/<tenant_id>/greenpin/<greenpin_id>
Replace <your_sid> with your tenant ID and <greenvn_id> with the same received in the allocation request
curl -X DELETE https://leadassist.exotel.in/v1/tenants/<your_sid>/greenvn/<greenpin_id>
HTTP Response:
{
"success": true,
"status": 200,
"code": null,
"message": null,
"data": {
"transaction_id": "random_string",
"greenpin_id": "d7ffd4b3-c861-4bda-a024-9cef1ae2f2a8",
"a": {
"vns": [
"+916292134471",
"+916292134464"
],
"numbers": [
"+917987686144"
],
"pin": "123"
},
"b": {
"vns": [
"+916292134465",
"+916292134464"
],
"numbers": [
"+919956555625"
]
},
"usage": "twoway",
"state": "active",
"deallocation_time": "2020-03-27 12:17:09"
}
}
The parameters in the above request are same as described in the response of the pin-allocation request.